# $Revision: 1.147 $, $Date: 2012/04/03 19:40:40 $
#
# TODO:
#	- remove compat-pld-var-run.tmpfiles and maybe tmpfiles-not-fatal.patch
#	  after enough packages provide their own tmpfiles.d configs for
#	  /var/run directories
#
# Conditional build:
%bcond_without	audit		# without audit support
%bcond_without	cryptsetup	# without cryptsetup support
%bcond_without	pam		# PAM authentication support
%bcond_without	plymouth	# do not install plymouth units
%bcond_without	selinux		# without SELinux support
%bcond_without	tcpd		# libwrap (tcp_wrappers) support

Summary:	A System and Service Manager
Summary(pl.UTF-8):	systemd - zarządca systemu i usług dla Linuksa
Name:		systemd
Version:	44
Release:	11
License:	GPL v2+
Group:		Base
Source0:	http://www.freedesktop.org/software/systemd/%{name}-%{version}.tar.xz
# Source0-md5:	11f44ff74c87850064e4351518bcff17
Source1:	%{name}-sysv-convert
Source2:	%{name}_booted.c
Source3:	network.service
Source4:	compat-pld-media.tmpfiles
Source5:	compat-pld-var-run.tmpfiles
Source10:	pld-storage-init-late.service
Source11:	pld-storage-init.service
Source12:	pld-wait-storage.service
Source13:	pld-storage-init.sh
Source14:	pld-clean-tmp.service
Source15:	pld-clean-tmp.sh
Patch0:		target-pld.patch
Patch1:		config-pld.patch
Patch2:		shut-sysv-up.patch
Patch3:		pld-sysv-network.patch
Patch4:		tmpfiles-not-fatal.patch
Patch5:		CVE-2012-1174.patch
Patch6:		dont-trash-X-sessions.patch
Patch7:		ReleaseSession.patch
URL:		http://www.freedesktop.org/wiki/Software/systemd
BuildRequires:	acl-devel
%{?with_audit:BuildRequires:	audit-libs-devel}
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	binutils >= 3:2.22.52.0.1-2
%{?with_cryptsetup:BuildRequires:	cryptsetup-luks-devel}
BuildRequires:	dbus-devel >= 1.3.2
BuildRequires:	docbook-style-xsl
BuildRequires:	gperf
BuildRequires:	intltool >= 0.40.0
BuildRequires:	kmod-devel >= 5
BuildRequires:	libcap-devel
%{?with_selinux:BuildRequires:	libselinux-devel >= 2.1.0}
BuildRequires:	libtool >= 2:2.2
%{?with_tcpd:BuildRequires:	libwrap-devel}
BuildRequires:	libxslt-progs
BuildRequires:	m4
%{?with_pam:BuildRequires:	pam-devel}
BuildRequires:	pkgconfig >= 0.9.0
BuildRequires:	rpmbuild(macros) >= 1.627
BuildRequires:	udev-devel >= 1:172
BuildRequires:	xz-devel
Requires:	%{name}-libs = %{version}-%{release}
Requires:	%{name}-units = %{version}-%{release}
Requires:	/etc/os-release
Requires:	SysVinit-tools
Requires:	agetty
Requires:	dbus >= 1.4.16-6
Requires:	filesystem >= 4.0-2
Requires:	libutempter
Requires:	rc-scripts >= 0.4.5.3-7
Requires:	setup >= 2.8.0-2
Requires:	udev-core >= 1:175-5
Requires:	udev-libs >= 1:172
Requires:	virtual(module-tools)
Suggests:	%{name}-no-compat-tmpfiles
Suggests:	ConsoleKit
Suggests:	fsck >= 2.20
Suggests:	kmod >= 5
Suggests:	nss_myhostname
Suggests:	service(klogd)
Suggests:	service(syslog)
Provides:	udev-acl
# systemd takes care of that and causes problems
Conflicts:	binfmt-detector
# sytemd wants pam with pam_systemd.so in system-auth...
Conflicts:	pam < 1:1.1.5-5
# ...and sudo hates it
Conflicts:	sudo < 1:1.7.8p2-4
# for prefdm script
Conflicts:	xinitrc-ng < 1.0
# systemd scripts use options not present in older versions
Conflicts:	kpartx < 0.4.9-7
Conflicts:	multipath-tools < 0.4.9-7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_prefix}/lib

%description
systemd is a system and service manager for Linux, compatible with
SysV and LSB init scripts. systemd provides aggressive parallelization
capabilities, uses socket and D-Bus activation for starting services,
offers on-demand starting of daemons, keeps track of processes using
Linux cgroups, supports snapshotting and restoring of the system
state, maintains mount and automount points and implements an
elaborate transactional dependency-based service control logic. It can
work as a drop-in replacement for sysvinit.

%description -l pl.UTF-8
systemd jest zarządcą systemu i usług dla Linuksa, kompatybilny ze
skryptami SysV i LSB. systemd udostępnia rozbudowane zdolności
paralelizacji, do uruchamiania usług używa socketów oraz D-Busa,
oferuje uruchamianie usług na życzenie, monitoruje procesy używając
linuksowych cgroups, wspomaga zapisywanie (snapshot) i odczytywanie
(restore) stanu systemu, zarządza (auto)mount pointami oraz
implementuje starannie opracowaną transakcjonalną, bazującą na
zależnościach logikę kontroli usług. Może pracować jako zastępca dla
sysvinit.

%package init
Summary:	systemd /sbin/init and LSB/SysV compatibility symlinks
Summary(pl.UTF-8):	/sbin/init z systemd i dowiązania dla kompatybilności z LSB/SysV
Group:		Base
Requires:	systemd
Provides:	readahead = 1:1.5.7-3
Provides:	virtual(init-daemon)
Obsoletes:	SysVinit
Obsoletes:	readahead < 1:1.5.7-3
Obsoletes:	virtual(init-daemon)
Conflicts:	upstart

%description init
Install this package when you are ready to final switch to systemd.

%description init -l pl.UTF-8
Ten pakiet należy zainstalować po przygotowaniu się do ostatecznego
przejścia na systemd.

%package units
Summary:	Configuration files, directories and installation tool for systemd
Summary(pl.UTF-8):	Pliki konfiguracyjne, katalogi i narzędzie instalacyjne dla systemd
Group:		Base
Requires(post):	coreutils
Requires(post):	/bin/awk

%description units
Basic configuration files, directories and installation tool for the
systemd system and service manager.

This is common config, use %{_sysconfdir}/systemd/system to override.

%description units -l pl.UTF-8
Podstawowe pliki konfiguracyjne, katalogi i narzędzie instalacyjne dla
zarządcy systemu i usług systemd.

Ten pakiet zawiera ogólną konfigurację, ustawienia można nadpisać
poprzez katalog %{_sysconfdir}/systemd/system.

%package plymouth
Summary:	Plymouth support units for systemd
Summary(pl.UTF-8):	Jednostki wspierające Plymouth dla systemd
Group:		Base
Requires:	%{name}-units = %{version}-%{release}
Requires:	plymouth

%description plymouth
Plymouth (graphical boot) support units for systemd.

%description plymouth -l pl.UTF-8
Jednostki wspierające Plymouth (graficzny start systemu) dla systemd.

%package analyze
Summary:	Tool for processing systemd profiling information
Group:		Base
Requires:	%{name} = %{version}-%{release}
Requires:	python-dbus
Requires:	python-modules
Requires:	python-pycairo
Conflicts:	%{name} < 44-3

%description analyze
'systemd-analyze blame' lists which systemd unit needed how much time
to finish initialization at boot. 'systemd-analyze plot' renders an
SVG visualizing the parallel start of units at boot.

%package libs
Summary:	Shared systemd libraries
Summary(pl.UTF-8):	Biblioteki współdzielone systemd
Group:		Libraries

%description libs
Shared systemd libraries.

%description libs -l pl.UTF-8
Biblioteki współdzielone systemd.

%package devel
Summary:	Header files for systemd libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek systemd
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for systemd libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek systemd.

%package -n bash-completion-systemd
Summary:	bash-completion for systemd
Summary(pl.UTF-8):	Bashowe dopełnianie składni dla systemd
Group:		Applications/Shells
Requires:	%{name} = %{version}
Requires:	bash-completion

%description -n bash-completion-systemd
bash-completion for systemd.

%description -n bash-completion-systemd -l pl.UTF-8
Bashowe dopełnianie składni dla systemd

%package no-compat-tmpfiles
Summary:	Force update of packages that provide tmpfiles.d configuration
Group:		Base
Requires:	%{name} = %{version}-%{release}
Requires(post):	sed > 4.0
Conflicts:	ConsoleKit-dirs < 0.4.5-7
Conflicts:	NetworkManager < 2:0.9.2.0-3
Conflicts:	Zope < 2.11.8-2
Conflicts:	amavisd-new < 1:2.7.0-1
Conflicts:	apache-base < 2.2.21-4
Conflicts:	apache-mod_bw < 0.92-3
Conflicts:	apache-mod_fastcgi < 2.4.6-6
Conflicts:	apache1-base < 1.3.42-5
Conflicts:	apache1-mod_fastcgi < 2.4.6-2
Conflicts:	asterisk < 10.0.1-2
Conflicts:	autossh-init < 1.4b-3
Conflicts:	balance < 3.54-2
Conflicts:	bind < 7:9.8.1.P1-4
Conflicts:	bopm < 3.1.3-4
Conflicts:	callweaver < 1.2.1-9
Conflicts:	cassandra-bin < 0.8.9-2
Conflicts:	clamav < 0.97.3-3
Conflicts:	cups < 1:1.5.0-10
Conflicts:	dbus < 1.4.16-4
Conflicts:	dovecot < 1:2.0.16-3
Conflicts:	dspam < 3.9.0-6
Conflicts:	fail2ban < 0.8.4-4
Conflicts:	filesystem < 4.0-3
Conflicts:	gammu-smsd < 1:1.31.0-3
# Break gdm2.20 installs
#Conflicts:	gdm < 2:3.2.1.1-9
Conflicts:	greylistd < 0.8.8-2
Conflicts:	inn < 2.4.6-7
Conflicts:	ipsec-tools < 0.8.0-3
Conflicts:	jabber-common < 0-9
Conflicts:	laptop-mode-tools < 1.58-2
Conflicts:	libgpod < 0.8.0-6
Conflicts:	libvirt-utils < 0.9.9-4
Conflicts:	lighttpd < 1.4.30-5
Conflicts:	lirc < 0.9.0-20
Conflicts:	mailman < 5:2.1.14-4
Conflicts:	memcached < 1.4.11-2
Conflicts:	mpd < 0.16.5-4
Conflicts:	mrtg < 2.17.0-3
Conflicts:	munin-common < 1.4.5-5
Conflicts:	nagios-nrpe < 2.13-2
Conflicts:	ndisc6-rdnssd < 1.0.1-3
Conflicts:	nscd < 6:2.14.1-5
Conflicts:	nss_ldapd-nslcd < 0.8.4-2
Conflicts:	openct < 0.6.20-3
Conflicts:	openl2tp < 1.8-3
Conflicts:	openldap-overlay-nssov < 2.4.28-4
Conflicts:	openldap-servers < 2.4.28-4
Conflicts:	openvpn < 2.2.2-2
Conflicts:	pam-pam_mount < 2.12-3
Conflicts:	pam-pam_ssh < 1.97-2
Conflicts:	pcsc-lite < 1.8.1-2
Conflicts:	php-dirs < 1.2-3
Conflicts:	policyd < 2.0.10-3
Conflicts:	pound < 2.6-2
Conflicts:	pptp < 1.7.2-3
Conflicts:	proftpd-common < 2:1.3.4a-2
Conflicts:	pulseaudio-server < 1.1-2
Conflicts:	quagga < 0.99.20-3
Conflicts:	radvd < 1.8.5-2
Conflicts:	rc-scripts < 0.4.5.2-3
Conflicts:	red5 < 0.9.0-2
Conflicts:	redis-server < 2.4.2-4
Conflicts:	smokeping < 2.4.2-10
Conflicts:	smtp-gated < 1.4.17-2
Conflicts:	socat < 1.7.2.0-2
Conflicts:	speech-dispatcher < 0.7.1-2
Conflicts:	sphinx < 2.0.3-4
Conflicts:	splashutils < 1.5.4.3-3
Conflicts:	stunnel < 4.50-2
Conflicts:	tenshi < 0.12-2
Conflicts:	tor < 0.2.2.35-2
Conflicts:	ucarp < 1.5.2-3
Conflicts:	udisks < 1.0.4-3
Conflicts:	util-vserver < 0.30.216-1.pre3002.3
Conflicts:	vpnc < 0.5.3-2
Conflicts:	web2ldap < 1.1.0rc1-2
Conflicts:	wesnoth-server < 1:1.10-2
Conflicts:	wpa_supplicant < 0.7.3-10
Conflicts:	xl2tpd < 1.3.0-2

%description no-compat-tmpfiles
Force update of packages that provide tmpfiles.d configuration

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
cp -p %{SOURCE2} src/systemd_booted.c

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{__enable_disable audit} \
	%{__enable_disable cryptsetup libcryptsetup} \
	--disable-gtk \
	%{__enable_disable pam} \
	%{__enable_disable plymouth} \
	%{__enable_disable selinux} \
	%{__enable_disable tcpd tcpwrap} \
	--disable-silent-rules \
	--disable-static \
	--with-distro=pld \
	--with-rootprefix= \
	--with-rootlibdir=/%{_lib} \
	--enable-split-usr

%{__make}
./libtool --mode=link --tag=CC %{__cc} %{rpmcppflags} %{rpmcflags} -o systemd_booted %{rpmldflags} src/systemd_booted.c -L. -lsystemd-daemon

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/lib/%{name}/coredump

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

./libtool --mode=install install -p -m755 systemd_booted $RPM_BUILD_ROOT/bin/systemd_booted

# Main binary has been moved, but we don't want to break existing installs
ln -s ../lib/systemd/systemd $RPM_BUILD_ROOT/bin/systemd

# Create SysV compatibility symlinks. systemctl/systemd are smart
# enough to detect the way they were called
install -d $RPM_BUILD_ROOT/sbin
ln -s ../lib/systemd/systemd $RPM_BUILD_ROOT/sbin/init
ln -s ../bin/systemctl $RPM_BUILD_ROOT/sbin/halt
ln -s ../bin/systemctl $RPM_BUILD_ROOT/sbin/poweroff
ln -s ../bin/systemctl $RPM_BUILD_ROOT/sbin/reboot
ln -s ../bin/systemctl $RPM_BUILD_ROOT/sbin/runlevel
ln -s ../bin/systemctl $RPM_BUILD_ROOT/sbin/shutdown
ln -s ../bin/systemctl $RPM_BUILD_ROOT/sbin/telinit

ln -s ../modules $RPM_BUILD_ROOT%{_sysconfdir}/modules-load.d/modules.conf

# disable redundant SYSV services
ln -s /dev/null $RPM_BUILD_ROOT%{systemdunitdir}/allowlogin.service
ln -s /dev/null $RPM_BUILD_ROOT%{systemdunitdir}/console.service
ln -s /dev/null $RPM_BUILD_ROOT%{systemdunitdir}/cpusets.service
ln -s /dev/null $RPM_BUILD_ROOT%{systemdunitdir}/killall.service
ln -s /dev/null $RPM_BUILD_ROOT%{systemdunitdir}/netfs.service
ln -s /dev/null $RPM_BUILD_ROOT%{systemdunitdir}/random.service

# add static (non-NetworkManager) networking
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{systemdunitdir}/network.service

# install compatibility tmpfiles configs
cp -p %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/tmpfiles.d/compat-pld-media.conf
cp -p %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/tmpfiles.d/compat-pld-var-run.conf

# Install and enable storage subsystems support services (RAID, LVM, etc.)
cp -p %{SOURCE10} $RPM_BUILD_ROOT%{systemdunitdir}/pld-storage-init-late.service
cp -p %{SOURCE11} $RPM_BUILD_ROOT%{systemdunitdir}/pld-storage-init.service
cp -p %{SOURCE12} $RPM_BUILD_ROOT%{systemdunitdir}/pld-wait-storage.service
cp -p %{SOURCE14} $RPM_BUILD_ROOT%{systemdunitdir}/pld-clean-tmp.service
install -p %{SOURCE13} $RPM_BUILD_ROOT/lib/systemd/pld-storage-init
install -p %{SOURCE15} $RPM_BUILD_ROOT/lib/systemd/pld-clean-tmp

ln -s ../pld-storage-init-late.service $RPM_BUILD_ROOT%{systemdunitdir}/local-fs.target.wants
ln -s ../pld-storage-init.service $RPM_BUILD_ROOT%{systemdunitdir}/local-fs.target.wants
ln -s ../pld-clean-tmp.service $RPM_BUILD_ROOT%{systemdunitdir}/local-fs.target.wants

# handled by rc-local sysv service, no need for generator
%{__rm} $RPM_BUILD_ROOT/lib/systemd/system-generators/systemd-rc-local-generator

# Make sure these directories are properly owned:
#	- halt,kexec,poweroff,reboot: generic ones used by ConsoleKit-systemd,
#	- syslog _might_ be used by some syslog implementation (none for now),
#	- isn't dbus populated by dbus-systemd only (so to be moved there)?
install -d $RPM_BUILD_ROOT%{systemdunitdir}/{dbus,halt,kexec,poweroff,reboot,syslog}.target.wants

# Create new-style configuration files so that we can ghost-own them
touch $RPM_BUILD_ROOT%{_sysconfdir}/{hostname,locale.conf,machine-id,machine-info,timezone,vconsole.conf}

# Install SysV conversion tool for systemd
install -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}

install -d $RPM_BUILD_ROOT/var/log
:> $RPM_BUILD_ROOT/var/log/btmp
:> $RPM_BUILD_ROOT/var/log/wtmp

%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/systemadm.1*

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}
%{__rm} $RPM_BUILD_ROOT/%{_lib}/security/pam_systemd.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/bin/systemd-machine-id-setup > /dev/null 2>&1 || :
/bin/systemctl daemon-reexec > /dev/null 2>&1 || :

%postun
if [ $1 -ge 1 ]; then
	/bin/systemctl try-restart systemd-logind.service >/dev/null 2>&1 || :
fi

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%post units
if [ $1 -eq 1 ]; then
	# Try to read default runlevel from the old inittab if it exists
	runlevel=$(/bin/awk -F ':' '$3 == "initdefault" && $1 !~ "^#" { print $2 }' /etc/inittab 2> /dev/null)
	if [ -z "$runlevel" ] ; then
		target="%{systemdunitdir}/graphical.target"
	else
		target="%{systemdunitdir}/runlevel$runlevel.target"
	fi

	# And symlink what we found to the new-style default.target
	ln -s "$target" %{_sysconfdir}/systemd/system/default.target >/dev/null 2>&1 || :

	# Setup hostname
	[ -f /etc/sysconfig/network ] && . /etc/sysconfig/network
	if [ -n "$HOSTNAME" -a "$HOSTNAME" != "pldmachine" ]; then
		[ -f /etc/hostname ] && mv -f /etc/hostname /etc/hostname.rpmsave
		echo $HOSTNAME > /etc/hostname
		chmod 644 /etc/hostname
	fi

	# Enable the services we install by default.
	/bin/systemctl enable \
		getty@.service \
		network.service \
		remote-fs.target \
		systemd-readahead-replay.service \
		systemd-readahead-collect.service >/dev/null 2>&1 || :
fi

%preun units
if [ $1 -eq 0 ] ; then
	/bin/systemctl disable \
		getty@.service \
		network.service \
		remote-fs.target \
		systemd-readahead-replay.service \
		systemd-readahead-collect.service >/dev/null 2>&1 || :

	%{__rm} -f %{_sysconfdir}/systemd/system/default.target >/dev/null 2>&1 || :
fi

%postun units
if [ $1 -ge 1 ]; then
	/bin/systemctl daemon-reload > /dev/null 2>&1 || :
fi

%triggerpostun units -- %{name}-units < 43-7
# Remove design fialures
rm -f %{_sysconfdir}/systemd/system/network.target.wants/ifcfg@*.service >/dev/null 2>&1 || :
rm -f %{_sysconfdir}/systemd/system/network.target.wants/network-post.service >/dev/null 2>&1 || :
rm -f %{_sysconfdir}/systemd/system/multi-user.target.wants/network-post.service >/dev/null 2>&1 || :
/bin/systemctl reenable network.service >/dev/null 2>&1 || :

%post no-compat-tmpfiles
%{__sed} -i -e '/^#/!s/^/# /g' %{_sysconfdir}/tmpfiles.d/compat-pld-var-run.conf

%post plymouth
%systemd_reload

%postun plymouth
%systemd_reload

%files
%defattr(644,root,root,755)
%doc DISTRO_PORTING README TODO
/etc/dbus-1/system.d/org.freedesktop.hostname1.conf
/etc/dbus-1/system.d/org.freedesktop.locale1.conf
/etc/dbus-1/system.d/org.freedesktop.login1.conf
/etc/dbus-1/system.d/org.freedesktop.systemd1.conf
/etc/dbus-1/system.d/org.freedesktop.timedate1.conf
%ghost %config(noreplace) %{_sysconfdir}/machine-id
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/hostname
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/locale.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/machine-info
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/timezone
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/vconsole.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/systemd/*.conf
%dir %{_sysconfdir}/systemd/user
%dir %{_sysconfdir}/systemd/system/*.target.wants
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/systemd/system/*.target.wants/*.service
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/systemd/system/*.target.wants/*.target
/etc/xdg/systemd
%attr(755,root,root) /bin/systemd
%attr(755,root,root) /bin/systemd-ask-password
%attr(755,root,root) /bin/systemd-journalctl
%attr(755,root,root) /bin/systemd-loginctl
%attr(755,root,root) /bin/systemd-machine-id-setup
%attr(755,root,root) /bin/systemd-notify
%attr(755,root,root) /bin/systemd-tty-ask-password-agent
%attr(755,root,root) %{_bindir}/systemd-cat
%attr(755,root,root) %{_bindir}/systemd-cgtop
%attr(755,root,root) %{_bindir}/systemd-cgls
%attr(755,root,root) %{_bindir}/systemd-nspawn
%attr(755,root,root) %{_bindir}/systemd-stdio-bridge
%attr(755,root,root) %{_bindir}/systemd-sysv-convert
%attr(755,root,root) /lib/systemd/pld-clean-tmp
%attr(755,root,root) /lib/systemd/pld-storage-init
%attr(755,root,root) /lib/systemd/systemd-*
%dir /lib/systemd/system-generators
%attr(755,root,root) /lib/systemd/systemd
%attr(755,root,root) /lib/systemd/system-generators/systemd-*-generator
%dir /lib/systemd/system-shutdown
/lib/udev/rules.d/99-systemd.rules
/lib/udev/rules.d/70-uaccess.rules
/lib/udev/rules.d/71-seat.rules
/lib/udev/rules.d/73-seat-late.rules
%dir %{_libexecdir}/systemd
%{_libexecdir}/systemd/user
%dir %{_libexecdir}/systemd/user-generators
%config(noreplace,missingok) %{_libexecdir}/tmpfiles.d/*.conf
%{_datadir}/dbus-1/interfaces/org.freedesktop.hostname1.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.locale1.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.systemd1.*.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.timedate1.xml
%{_datadir}/dbus-1/services/org.freedesktop.systemd1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.hostname1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.locale1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.login1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.systemd1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.timedate1.service
%{_datadir}/polkit-1/actions/org.freedesktop.hostname1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.locale1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.login1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.systemd1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.timedate1.policy
%dir %{_datadir}/systemd
%{_datadir}/systemd/kbd-model-map
%{_mandir}/man1/systemd.1*
%{_mandir}/man1/systemd-*.1*
%{_mandir}/man5/binfmt.d.5*
%{_mandir}/man5/hostname.5*
%{_mandir}/man5/locale.conf.5*
%{_mandir}/man5/machine-id.5*
%{_mandir}/man5/machine-info.5*
%{_mandir}/man5/modules-load.d.5*
%{_mandir}/man5/os-release.5*
%{_mandir}/man5/sysctl.d.5*
%{_mandir}/man5/systemd.*.5*
%{_mandir}/man5/systemd-journald.conf.5*
%{_mandir}/man5/systemd-logind.conf.5*
%{_mandir}/man5/timezone.5*
%{_mandir}/man5/vconsole.conf.5*
%{_mandir}/man7/daemon.7*
%{_mandir}/man7/sd-daemon.7*
%{_mandir}/man7/sd-login.7*
%{_mandir}/man7/sd-readahead.7*
%{_mandir}/man7/systemd.special.7*
%dir /var/lib/%{name}
%dir /var/lib/%{name}/coredump
%attr(640,root,root) %ghost /var/log/btmp
%attr(664,root,utmp) %ghost /var/log/wtmp

%if %{with pam}
%attr(755,root,root) /%{_lib}/security/pam_systemd.so
%{_mandir}/man8/pam_systemd.8*
%endif

%files init
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/halt
%attr(755,root,root) /sbin/init
%attr(755,root,root) /sbin/poweroff
%attr(755,root,root) /sbin/reboot
%attr(755,root,root) /sbin/runlevel
%attr(755,root,root) /sbin/shutdown
%attr(755,root,root) /sbin/telinit
%{_mandir}/man1/init.1
%{_mandir}/man8/halt.8*
%{_mandir}/man8/poweroff.8
%{_mandir}/man8/reboot.8
%{_mandir}/man8/runlevel.8*
%{_mandir}/man8/shutdown.8*
%{_mandir}/man8/telinit.8*

%files units
%defattr(644,root,root,755)
%dir %{_sysconfdir}/binfmt.d
%dir %{_sysconfdir}/modules-load.d
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/modules-load.d/modules.conf
%dir %{_sysconfdir}/sysctl.d
%dir %{_sysconfdir}/systemd
%dir %{_sysconfdir}/systemd/system
%dir %{_sysconfdir}/tmpfiles.d
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/tmpfiles.d/*.conf
%dir %{_libexecdir}/binfmt.d
%dir %{_libexecdir}/modules-load.d
%dir %{_libexecdir}/sysctl.d
%{_libexecdir}/sysctl.d/coredump.conf
%attr(755,root,root) /bin/systemctl
%attr(755,root,root) /bin/systemd-tmpfiles
%attr(755,root,root) /bin/systemd_booted
%{_mandir}/man1/systemctl.1*
%{_mandir}/man5/tmpfiles.d.5*
%{_mandir}/man8/systemd-tmpfiles.8*
%{_npkgconfigdir}/systemd.pc

%{systemdunitdir}/*.automount
%{systemdunitdir}/*.mount
%{systemdunitdir}/*.path
%{systemdunitdir}/*.service
%{systemdunitdir}/*.socket
%{systemdunitdir}/*.target
%{systemdunitdir}/*.timer
%if %{with plymouth}
%exclude %{systemdunitdir}/plymouth*.service
%exclude %{systemdunitdir}/systemd-ask-password-plymouth.*
%endif
%dir %{systemdunitdir}/basic.target.wants
%dir %{systemdunitdir}/dbus.target.wants
%dir %{systemdunitdir}/final.target.wants
%dir %{systemdunitdir}/graphical.target.wants
%dir %{systemdunitdir}/halt.target.wants
%dir %{systemdunitdir}/kexec.target.wants
%dir %{systemdunitdir}/local-fs.target.wants
%dir %{systemdunitdir}/multi-user.target.wants
%dir %{systemdunitdir}/poweroff.target.wants
%dir %{systemdunitdir}/reboot.target.wants
%dir %{systemdunitdir}/runlevel[12345].target.wants
%dir %{systemdunitdir}/shutdown.target.wants
%dir %{systemdunitdir}/sockets.target.wants
%dir %{systemdunitdir}/sysinit.target.wants
%dir %{systemdunitdir}/syslog.target.wants
%config(noreplace,missingok) %{systemdunitdir}/basic.target.wants/*
%config(noreplace,missingok) %{systemdunitdir}/final.target.wants/*
%config(noreplace,missingok) %{systemdunitdir}/graphical.target.wants/*
%config(noreplace,missingok) %{systemdunitdir}/local-fs.target.wants/*
%config(noreplace,missingok) %{systemdunitdir}/multi-user.target.wants/getty.target
%config(noreplace,missingok) %{systemdunitdir}/multi-user.target.wants/rc-local.service
%config(noreplace,missingok) %{systemdunitdir}/multi-user.target.wants/systemd-ask-password-wall.path
%config(noreplace,missingok) %{systemdunitdir}/multi-user.target.wants/systemd-logind.service
%config(noreplace,missingok) %{systemdunitdir}/multi-user.target.wants/systemd-user-sessions.service
%config(noreplace,missingok) %{systemdunitdir}/runlevel[12345].target.wants/*
%config(noreplace,missingok) %{systemdunitdir}/shutdown.target.wants/*
%config(noreplace,missingok) %{systemdunitdir}/sockets.target.wants/*
%config(noreplace,missingok) %{systemdunitdir}/sysinit.target.wants/cryptsetup.target
%config(noreplace,missingok) %{systemdunitdir}/sysinit.target.wants/dev-hugepages.mount
%config(noreplace,missingok) %{systemdunitdir}/sysinit.target.wants/dev-mqueue.mount
%config(noreplace,missingok) %{systemdunitdir}/sysinit.target.wants/proc-sys-fs-binfmt_misc.automount
%config(noreplace,missingok) %{systemdunitdir}/sysinit.target.wants/sys-*.mount
%config(noreplace,missingok) %{systemdunitdir}/sysinit.target.wants/systemd-*

%if %{with plymouth}
%files plymouth
%defattr(644,root,root,755)
%{systemdunitdir}/plymouth-halt.service
%{systemdunitdir}/plymouth-kexec.service
%{systemdunitdir}/plymouth-poweroff.service
%{systemdunitdir}/plymouth-quit-wait.service
%{systemdunitdir}/plymouth-quit.service
%{systemdunitdir}/plymouth-read-write.service
%{systemdunitdir}/plymouth-reboot.service
%{systemdunitdir}/plymouth-start.service
%{systemdunitdir}/systemd-ask-password-plymouth.path
%{systemdunitdir}/systemd-ask-password-plymouth.service
%config(noreplace,missingok) %{systemdunitdir}/halt.target.wants/plymouth-halt.service
%config(noreplace,missingok) %{systemdunitdir}/kexec.target.wants/plymouth-kexec.service
%config(noreplace,missingok) %{systemdunitdir}/multi-user.target.wants/plymouth-quit.service
%config(noreplace,missingok) %{systemdunitdir}/multi-user.target.wants/plymouth-quit-wait.service
%config(noreplace,missingok) %{systemdunitdir}/poweroff.target.wants/plymouth-poweroff.service
%config(noreplace,missingok) %{systemdunitdir}/reboot.target.wants/plymouth-reboot.service
%config(noreplace,missingok) %{systemdunitdir}/sysinit.target.wants/plymouth-read-write.service
%config(noreplace,missingok) %{systemdunitdir}/sysinit.target.wants/plymouth-start.service
%endif

%files analyze
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/systemd-analyze

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libsystemd-daemon.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libsystemd-daemon.so.0
%attr(755,root,root) /%{_lib}/libsystemd-id128.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libsystemd-id128.so.0
%attr(755,root,root) /%{_lib}/libsystemd-journal.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libsystemd-journal.so.0
%attr(755,root,root) /%{_lib}/libsystemd-login.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libsystemd-login.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsystemd-daemon.so
%attr(755,root,root) %{_libdir}/libsystemd-id128.so
%attr(755,root,root) %{_libdir}/libsystemd-journal.so
%attr(755,root,root) %{_libdir}/libsystemd-login.so
%{_includedir}/%{name}
%{_pkgconfigdir}/libsystemd-daemon.pc
%{_pkgconfigdir}/libsystemd-id128.pc
%{_pkgconfigdir}/libsystemd-journal.pc
%{_pkgconfigdir}/libsystemd-login.pc
%{_mandir}/man3/sd_booted.3*
%{_mandir}/man3/sd_get_seats.3*
%{_mandir}/man3/sd_get_sessions.3*
%{_mandir}/man3/sd_get_uids.3*
%{_mandir}/man3/sd_is_fifo.3*
%{_mandir}/man3/sd_is_mq.3*
%{_mandir}/man3/sd_is_socket.3
%{_mandir}/man3/sd_is_socket_inet.3
%{_mandir}/man3/sd_is_socket_unix.3
%{_mandir}/man3/sd_listen_fds.3*
%{_mandir}/man3/sd_login_monitor_flush.3*
%{_mandir}/man3/sd_login_monitor_get_fd.3*
%{_mandir}/man3/sd_login_monitor_new.3*
%{_mandir}/man3/sd_login_monitor_unref.3*
%{_mandir}/man3/sd_notify.3*
%{_mandir}/man3/sd_notifyf.3
%{_mandir}/man3/sd_pid_get_owner_uid.3*
%{_mandir}/man3/sd_pid_get_session.3*
%{_mandir}/man3/sd_pid_get_unit.3*
%{_mandir}/man3/sd_readahead.3*
%{_mandir}/man3/sd_seat_can_multi_session.3*
%{_mandir}/man3/sd_seat_get_active.3*
%{_mandir}/man3/sd_seat_get_sessions.3*
%{_mandir}/man3/sd_session_get_class.3*
%{_mandir}/man3/sd_session_get_display.3*
%{_mandir}/man3/sd_session_get_seat.3*
%{_mandir}/man3/sd_session_get_service.3*
%{_mandir}/man3/sd_session_get_type.3*
%{_mandir}/man3/sd_session_get_uid.3*
%{_mandir}/man3/sd_session_is_active.3*
%{_mandir}/man3/sd_uid_get_seats.3*
%{_mandir}/man3/sd_uid_get_sessions.3*
%{_mandir}/man3/sd_uid_get_state.3*
%{_mandir}/man3/sd_uid_is_on_seat.3*

%files -n bash-completion-systemd
%defattr(644,root,root,755)
/etc/bash_completion.d/systemd-bash-completion.sh

%files no-compat-tmpfiles
%defattr(644,root,root,755)
# empty package

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: systemd.spec,v $
Revision 1.147  2012/04/03 19:40:40  glen
- fix network.service, it MUST be ran AFTER systemd-tmpfiles-setup.service, so use After directive

Revision 1.146  2012/04/03 17:23:37  baggins
- C multipath tools without -u option

Revision 1.145  2012/04/03 16:28:31  baggins
- rel 10
- add patch to fix su/audit problems,
	http://lists.freedesktop.org/archives/systemd-devel/2012-March/004726.html

Revision 1.144  2012/04/03 13:01:39  baggins
- rel 9
- package pld-clean-tmp

Revision 1.143  2012/03/30 12:45:57  glen
- pull updates to subpackages when main package is updated

Revision 1.142  2012/03/29 09:14:34  baggins
- rel 8
- setting age on X11 tmp dirs means that any X session older than specified
  age will get trashed, so don't do it

Revision 1.141  2012/03/29 07:02:41  glen
- add handler for $CLEAN_TMP

Revision 1.140  2012/03/28 21:56:47  glen
- network initscript needs /var/lock/subsys dir; so depend on systemd-tmpfiles-setup.service

Revision 1.139  2012/03/28 20:43:35  glen
- plymouth: reload unit files on install/uninstall

Revision 1.138  2012/03/22 19:54:22  glen
- vala is gtk dep

Revision 1.137  2012/03/22 19:47:15  glen
- -gtk split off to systemd-ui project

Revision 1.136  2012/03/21 11:27:31  glen
- don't drop file i want to package

Revision 1.135  2012/03/21 11:23:50  glen
- rc-scripts uses rc-local.service now (and masks local), no need to rename here

Revision 1.134  2012/03/21 10:40:47  glen
- enable plymouth bcond, it's just files, as qboosh said

Revision 1.133  2012/03/21 10:39:15  glen
- fix for r1.125, rename rc.local in deps to point to local service coming from rc-scripts

Revision 1.132  2012/03/20 19:25:47  glen
- systemd-analyze to subpackage; python as dependency is no longer pulled

Revision 1.131  2012/03/18 09:28:24  glen
- add /var/lib/systemd/coredump dir:
  [17271.546636] systemd-journal[1464]: segfault at ac30a5a8 ip 08056547 sp bf997b20 error 4 in systemd-journald (deleted)[8048000+21000]
  [17271.548116]: systemd-coredump[26515]: Detected coredump of the journal daemon itself, diverting coredump to /var/lib/systemd/coredump/.

Revision 1.130  2012/03/18 09:19:04  glen
- R: libutempter for utmp group

Revision 1.129  2012/03/17 09:34:17  glen
- as /sbin/service redirects to systemd, should not use it in .service files to avoid loops

Revision 1.128  2012/03/16 21:34:52  baggins
- up to 44
- add patch to fix CVE-2012-1174 (https://bugzilla.redhat.com/show_bug.cgi?id=803358)
- move devel man pages to devel package

Revision 1.127  2012/03/16 07:18:19  baggins
- rel 7
- make sure all (network) drivers are loaded and accounted for
  before trying to set up interfaces

Revision 1.126  2012/03/15 20:06:35  baggins
- rel 6
- better network services cleanup in trigger

Revision 1.125  2012/03/15 11:29:27  baggins
- rel 5
- provide our own services instead of hacking into fedora ones

Revision 1.124  2012/03/14 22:03:22  baggins
- renumber sources

Revision 1.123  2012/03/14 22:01:09  baggins
- rel 4
- separate network services seemed line a nice idea, but it makes impossible to
  restart enire network stack (SysV: service network restart) and it's RPITA
  to setup anything more than simple ethX ifaces
- add services and scripts to support LVM/RAID/etc (shameless rip from fedora)
- package wants dirs with missingok
- only setup basic services on first install

Revision 1.122  2012/03/02 21:27:32  glen
- -init conflicts with upstart, not base

Revision 1.121  2012/02/19 16:36:38  sls
- BR: libselinux-devel >= 2.1.0 (required libselinux.pc + libsepol.pc)

Revision 1.120  2012/02/19 09:08:51  qboosh
- plymouth support is just a set of files - build as subpackage; plymouth-devel not needed
- also, lists all *.target.wants dirs to see which belong to systemd-units

Revision 1.119  2012/02/16 12:25:01  baggins
- rel 2
- issue* provide /etc/os-release

Revision 1.118  2012/02/16 10:57:55  baggins
- updated to 43

Revision 1.117  2012/02/16 10:53:20  baggins
- R /etc/os-release (http://lists.freedesktop.org/archives/systemd-devel/2012-February/004475.html)

Revision 1.116  2012/02/15 13:06:06  blues
- require virtual dep, suggest kmod

Revision 1.115  2012/02/12 22:54:00  baggins
- require what's really used in post

Revision 1.114  2012/02/12 16:17:33  baggins
- rel 1
- assert programming rulz

Revision 1.113  2012/02/12 15:34:52  baggins
- C:sudo with global pam session setup (sudo hates pam_systemd)
- hacked shut-sysv-up.patch into working order
- don't comment commented out lines in comapt config
- don't C with gdm as it breaks gdm2.20 installs

Revision 1.112  2012/02/12 13:13:13  baggins
- 42
- systemd binary location changed (compat symlink preseved)
- we want support for /bin and /sbin NOT being symlinks to /usr
- systemd now uses libkmod to handle kernel modules, module-init-tools is not supported

Revision 1.111  2012/02/12 12:25:15  baggins
- rel 4
- C:pam without pam_systemd.so in system-auth

Revision 1.110  2012/02/11 09:50:07  glen
- be precise

Revision 1.109  2012/02/11 09:47:03  glen
- update binutils dep; adapter

Revision 1.108  2012/02/10 22:48:47  megabajt
- rebuild with fixed binutils so that halt, reboot, etc. commands started to work
- release 3

Revision 1.107  2012/02/05 23:03:55  kiesiu
- removed pkgconfig from *-units R:
- updated R: for udev and dbus
- rel. 2

Revision 1.106  2012/02/05 21:30:34  blues
- conflicts binfmt-detector

Revision 1.105  2012/02/04 23:48:46  blues
- suggests service(klogd) too

Revision 1.104  2012/02/01 13:35:07  baggins
- rel 1
- shut-up-sysv patch still needs attention

Revision 1.103  2012/02/01 11:13:38  baggins
- typo

Revision 1.102  2012/02/01 10:41:19  baggins
- added metapackage to avoid /var/run compat pollution

Revision 1.101  2012/01/30 17:11:31  qboosh
- udev epoch, BR: xz-devel

Revision 1.100  2012/01/30 10:25:54  baggins
- move back tmpfiles to /usr/lib, looks like systemd does the right thing
  and mounts all local fs-es before starting tmpfiles

Revision 1.99  2012/01/29 22:36:13  baggins
- 0.39
- make tmpfiles problems not fatal, allowing system boot with incorrect tmpfiles configs
- tmpfiles error being not fatal allows enabling tmpfs for /var/run
- shut-sysv-up.patch needs attention (API changed)

Revision 1.98  2012/01/29 19:36:54  baggins
- rel 13
- revert /var/run, it causes systemd to fail at startup

Revision 1.97  2012/01/29 17:03:48  baggins
- rel 12
- add intermediate/compat tmpfiles configs for /media and /var/run

Revision 1.96  2012/01/29 09:32:59  baggins
- setup hostname from /etc/sysconfig/network on first install

Revision 1.95  2012/01/29 08:39:56  arekm
- add S: nss_myhostname (suggested by systemd-hostnamed.service)

Revision 1.94  2012/01/28 11:38:29  baggins
- rel 11

Revision 1.93  2012/01/28 11:35:40  baggins
- suggest any syslog service, not rsyslogd

Revision 1.92  2012/01/28 11:31:51  baggins
- added C:upstart

Revision 1.91  2012/01/28 11:30:33  baggins
- rel 10

Revision 1.90  2012/01/26 18:35:06  baggins
- fixed on the libvirt side

Revision 1.89  2012/01/26 18:21:04  baggins
- add ugly hack to detect PLD SysV service requiring network

Revision 1.88  2012/01/24 13:51:54  baggins
- rel 9
- hide source (.) errors

Revision 1.87  2012/01/24 13:45:26  baggins
- link only valid ifcfg files

Revision 1.86  2012/01/24 13:31:01  baggins
- rel 8

Revision 1.85  2012/01/22 23:51:14  baggins
- detect libvirt flavor of LXC containers properly

Revision 1.84  2012/01/22 06:44:58  cactus
- rel 7

Revision 1.83  2012/01/22 06:13:56  cactus
- rel 5

Revision 1.82  2012/01/20 23:02:22  baggins
- R proper rc-scripts

Revision 1.81  2012/01/20 23:01:32  baggins
- rel 4
- detected, installed and started my interfaces

Revision 1.80  2012/01/20 22:57:13  baggins
- create interface wants dir

Revision 1.79  2012/01/20 22:54:33  baggins
- install network proxies to rc-scripts
- always enable default units in post
- always find and enable itnterfaces in post

Revision 1.78  2012/01/17 21:30:12  megabajt
- use /lib64 for libraries on x86_64
- release 3

Revision 1.77  2012/01/17 17:11:42  arekm
- rel 2; proper dir for pam; add BR libgee-devel

Revision 1.76  2012/01/17 16:48:17  cactus
- disable SYSV console service

Revision 1.75  2012/01/17 01:29:15  cactus
- use lib because of problems on x86_64 install

Revision 1.74  2012/01/16 22:40:25  cactus
- rel 1; drop rc-local.service as it is in rc-scripts

Revision 1.73  2012/01/16 22:04:34  cactus
- rel 0.6; new files

Revision 1.72  2012/01/16 21:54:03  cactus
- fix bc,bi and files

Revision 1.71  2012/01/16 21:25:07  cactus
- up to v38; NFY - bc bi to be done  --with-rootdir

Revision 1.70  2012/01/07 10:41:37  qboosh
- pl
- BR: acl-devel, intltool; vala is not needed for releases
- missing defattr for -init
- use explicit --with-distro

Revision 1.69  2011/12/07 12:15:57  gotar
- mask SysV random service - it's replaced by systemd-random-seed-{load,save}.service
- fixed path of removed mounts

Revision 1.68  2011/12/06 23:22:20  gotar
- systemd-init R: systemd (no strict EVR as there are symlinks only),
- removed /lib/systemd/system/default.target.wants directory, no package
  should ever put any files there, per-system configuration is in /etc

Revision 1.67  2011/12/06 21:34:50  gotar
- don't use literal /etc: subdirectories are managed by systemctl,
  distribution provided files go to *lib/, so it's relocatable

Revision 1.66  2011/12/06 21:15:57  gotar
- separated init subpackage, gtk bcond fixed again

Revision 1.65  2011/12/06 20:16:00  wiget
- %config for *.wants content not *.wants dir itself
- rel. 3

Revision 1.64  2011/12/06 00:47:32  gotar
- reduced SysV compat mode noise, our own scripts are verbose enough

Revision 1.63  2011/12/06 00:41:11  gotar
- S: fsck >= 2.20 (2.18 doesn't work for sure), s/R/S python modules for
  not crucial supplementary systemd-analyze,
- restored %config(noreplace,missingok) for /lib/systemd/system/*.wants as
  {requires,wants} directories ARE NOT overridable and masking disables unit
  for good (broken in 1.53, partially fixed in 1.56),
- do not enumerate *.wants directories, we support what's supported upstream
  and a few described in %install, avoiding missing ones (see 1.58),
- packaged 2 missing directories, removed 1 duplicate,
- reverted 1.55 overadapting (beware please), a few more TODOs, cosmetics

Revision 1.62  2011/12/04 19:29:00  wiget
- drop P: SysVinit
- rel. 2

Revision 1.61  2011/12/04 18:55:48  wiget
- versioned R: udev*
- rel. 1

Revision 1.60  2011/12/04 14:20:48  jajcus
- BR: udev-devel >= 172

Revision 1.59  2011/12/04 13:23:30  wiget
- added systemd_booted (check if system is booted with systemd)

Revision 1.58  2011/12/04 03:16:18  wiget
- package more *.target.wants dirs

Revision 1.57  2011/12/03 21:04:14  wiget
- P: udev-acl

Revision 1.56  2011/11/30 17:14:25  cactus
- add static services configuration to units

Revision 1.55  2011/11/30 08:06:29  glen
- move python modules comment where it belongs; adapter

Revision 1.54  2011/11/29 17:57:16  arekm
- pld specific config

Revision 1.53  2011/11/29 17:09:51  arekm
- /lib/systemd and /usr/lib/tmpfiles.d moved to filesystem

Revision 1.52  2011/11/29 16:11:43  cactus
- rel 0.7; with systemd-sysv-convert tool for saving runlevel configuration of services

Revision 1.51  2011/11/28 23:34:34  gotar
- packaged /var/log/[bw]tmp

Revision 1.50  2011/11/28 21:58:48  gotar
- do verify /lib/systemd/system and %{_libexecdir}/tmpfiles.d, as these files
  should not be changed directly, but still don't replace them in such case,
- disambiguated devel symlinks

Revision 1.49  2011/11/28 20:59:01  arekm
- rel 0.6

Revision 1.48  2011/11/28 20:52:33  arekm
R setup >= 2.8.0-2 for /etc/mtab being symlink

Revision 1.47  2011/11/28 08:24:18  glen
- keep devel .so links in %{_libdir}

Revision 1.46  2011/11/28 08:13:47  glen
- /run dir is in filesystem pkg

Revision 1.45  2011/11/28 01:28:25  cactus
- fix packagekit files

Revision 1.44  2011/11/28 01:09:43  gotar
- removed /media and /var/run--bind tmpfs mounts from local-fs target,
- packaged /run directory for tmpfs early-boot mount (this is due to
  possible lack of mounted /var at this stage, kept /var/lock--bind)

Revision 1.43  2011/11/28 00:59:04  cactus
- add libs subpackage - now it is possible to install systemd-devel without systemd

Revision 1.42  2011/11/28 00:17:59  cactus
- S: ConsoleKit-systemd, rsyslog-systemd, udev-systemd

Revision 1.41  2011/11/28 00:10:00  gotar
- one more todo to ease transition/testing

Revision 1.40  2011/11/27 23:43:39  gotar
- support loading /etc/modules (via symlinking to modules-load.d),
- %config+%verify for /lib/systemd/system and %_libexecdir/tmpfiles.d,
- no verbose %files in private directories, added some TODO for consideration

Revision 1.39  2011/11/27 22:48:07  cactus
- R: agetty

Revision 1.38  2011/11/27 19:32:14  wiget
- R: SysVinit-tools, udev-systemd, dbus-systemd

Revision 1.37  2011/11/27 18:03:46  gotar
- moved libsystemd libraries to %_lib (required by systemctl and
  /lib/systemd/*, with systemd-uaccess R libsystemd-login only),
- specified some minimal BR versions, sorted bconds, symlinks and %files,
  %attrs for libraries symlinks, other cosmetics

Revision 1.36  2011/11/27 13:56:30  wiget
- pld-port.patch integrated into target-pld.patch

Revision 1.35  2011/11/27 11:56:57  cactus
- rel 0.4
- updated target-pld.patch

Revision 1.34  2011/11/27 10:01:28  wiget
- own more *.target.wants dirs

Revision 1.33  2011/10/31 19:16:54  glen
- cleanups, add todo, libexecdir macro

Revision 1.32  2011/10/14 20:53:49  wiget
- up to 37
- devel subpackage
- some bits from fedora spec

Revision 1.31  2011/09/27 05:31:03  uzsolt
- 36

Revision 1.30  2011/08/19 16:12:27  cactus
- R: gperf

Revision 1.29  2011/08/17 07:55:14  uzsolt
- 33
- unpackaged files

Revision 1.28  2011/07/04 21:34:58  uzsolt
- 29
- requires python-dbus and python-modules

Revision 1.27  2011/06/11 10:46:44  uzsolt
- 28

Revision 1.26  2011/05/02 16:39:07  megabajt
- fixed permissions
- packaged missing dirs

Revision 1.25  2011/05/02 15:43:37  megabajt
- generate machine-id in %post

Revision 1.24  2011/05/02 13:34:19  megabajt
- updated to 26

Revision 1.23  2011/04/29 07:10:21  uzsolt
- package some plus files

Revision 1.22  2011/04/20 11:13:30  uzsolt
- ver 24
- datadir/systemd missing?

Revision 1.21  2011/03/09 18:19:55  glen
- up to 20

Revision 1.20  2011/03/07 09:54:52  glen
- up to 19

Revision 1.19  2011/03/06 21:28:28  glen
- add target pld patch
- fix gtk deps

Revision 1.18  2011/03/06 20:32:44  glen
- selinux, tcpd, pam, audit, cryptsetup bconds
- bash-completion subpackage

Revision 1.17  2011/03/06 20:06:50  glen
- up to 18, units, gtk subpackages

Revision 1.16  2010/11/25 17:03:23  baggins
- more BRs

Revision 1.15  2010/11/25 16:02:43  shadzik
- s/e/ę/

Revision 1.14  2010/11/25 14:24:44  shadzik
- add %post, %preun and %postun

Revision 1.13  2010/11/25 13:58:43  shadzik
- better file location
- add symlinks for SysVinit commands

Revision 1.12  2010/11/25 13:48:20  shadzik
- P: SysVinit = 2.86-23

Revision 1.11  2010/11/25 13:46:07  shadzik
- more P:/O:
- dunno however if that's correct

Revision 1.10  2010/11/25 13:32:47  shadzik
- better provides/obsoletes

Revision 1.9  2010/11/25 13:31:16  shadzik
- Obsoletes SysVinit

Revision 1.8  2010/11/25 13:30:27  shadzik
- fix _lib

Revision 1.7  2010/11/25 13:28:39  shadzik
- fix dirs

Revision 1.6  2010/11/25 13:25:09  shadzik
- add TODO
- cosmetics

Revision 1.5  2010/11/25 13:23:22  shadzik
- %files

Revision 1.4  2010/11/25 13:13:19  shadzik
- more configuration options set
- distro is other for now, we can later send our configs upstream

Revision 1.3  2010/11/25 12:41:33  shadzik
- BR: vala

Revision 1.2  2010/11/25 12:28:31  shadzik
- disable gtk for now
- BR: dbus-devel

Revision 1.1  2010/11/25 12:03:44  shadzik
- init
- NFY
